Skip to main content
PUT
Update a warehouse

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this warehouse.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

name
string
requerido
transaction_permission
enum<string>
requerido
  • P - Purchase Only
  • S - Sales Only
  • B - Both
Opciones disponibles:
P,
S,
B
cost_center
string<uuid>
requerido
branch_office
string<uuid>
requerido
location
string<uuid>
requerido
custom_fields
unknown
type
enum<string>
  • S - Standard
  • T - Transit
  • C - Consignment
Opciones disponibles:
S,
T,
C
is_active
boolean

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.